/*インクルード***********************************************************/
#include "lpc13xx.h"
#include "gpio.h"
#include "vs-wrc103.h"
#include "ixbus.h"

/*マクロ***********************************************************/

/*グローバル変数***********************************************************/

/*メイン関数***********************************************************/
void main(void)
{
	//制御周期の設定[単位：Hz　範囲：30.0~]
	const unsigned short MainCycle = 60;
	Init(MainCycle);		//CPUの初期設定

	LED(3);
	//ループ
	while(1){
		Sync();					//同期
		updatePAD();			//パッドの情報を更新

		if(getPAD(PAD_B1) & BTN_UP){				//上が押されたら

			Mtr_Run_lv(20000,-20000,0,0,0,0);	//前進
		}
		else if(getPAD(PAD_B1) & BTN_DOWN){			//下が押されたら

			Mtr_Run_lv(-20000,20000,0,0,0,0);	//バック
		}
		else if(getPAD(PAD_B1) & BTN_RIGHT){			//右が押されたら

			Mtr_Run_lv(-20000,-20000,0,0,0,0);	//右旋回
		}
		else if(getPAD(PAD_B1) & BTN_LEFT){			//左が押されたら

			Mtr_Run_lv(20000,20000,0,0,0,0);	//左旋回
		}
		else{									//何も押されていなかったら

			//停止　アナログスティックの値で移動（左スティック前後で前後進、右スティック左右で旋回）
			Mtr_Run_lv(	 (getPAD(PAD_AN_LY) + getPAD(PAD_AN_RX))*-127
						,(getPAD(PAD_AN_LY) - getPAD(PAD_AN_RX))*127
						,0,0,0,0);
		}
	}
}
